﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Capstone.Project
{
    public partial class AddPersonDialog : Form
    {
        public string personName
        {
            get
            {
                return textBoxPerson.Text;
            }
        }

        public AddPersonDialog()
        {
            InitializeComponent();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            this.Close();
        }

        /****************************************
         * Exit the form and pass the new name on
         ****************************************/ 
        private void buttonEnter_Click(object sender, EventArgs e)
        {
            if (textBoxPerson.Text.Trim(' ') != "")
            {
                DialogResult = DialogResult.OK;
                this.Close();
            }
            else
            {
                MessageBox.Show("Please enter a name.");
            }            
        }
    }
}
