﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Capstone.Project
{
    public partial class WaitDialog : Form
    {
        public WaitDialog()
        {
            InitializeComponent();

            labelInformation.Text = "test" + Environment.NewLine + "Please Wait...";

            timerWait.Start();
        }

        public WaitDialog(string message)
        {
            InitializeComponent();

            labelInformation.Text = message + Environment.NewLine + "Please Wait...";

            timerWait.Start();
        }

        private void timerWait_Tick(object sender, EventArgs e)
        {
            if(progressBarWaiting.Value == progressBarWaiting.Maximum)
            {
                progressBarWaiting.Value = 0;
            }
            else
            {
                progressBarWaiting.Value += 1;
            }
        }
    }
}
